<!-- 学生首页 -->
<template>
	<view class="pupilHome" :style="{paddingTop:navHeight+'rpx'}">
		<nav-bar :title="title" :background="background"></nav-bar>
		<view class="top-back-img" :style="{top:navHeight+'rpx;'}">
			<img class="position-img" :src="rectangleLogo">
		</view>
		<view class="button-one-box">
			<view class="button-min" @click="goPage('securityExaminationPupil')" style="margin:23rpx 0 0 20rpx;">
				<img class="button-img" :src="imagesUrl('home/icon_sy_aqks@1x.png')">
				<view class="button-name">教育考试</view>
			</view>
			<view class="button-min" @click="goPage('securityAdmittancePupil')" style="margin:23rpx 65rpx 0;">
				<img class="button-img" :src="imagesUrl('home/icon_sy_aqzr@1x.png')">
				<view class="button-name">安全准入</view>
			</view>
			<!-- <view class="button-min" @click="goPage('hierarchicalControlPupil')" style="margin:23rpx 20rpx 0 0;">
				<img class="button-img" :src="imagesUrl('home/icon_sy_fjgk@1x.png')">
				<view class="button-name">分级管控</view>
			</view> -->
			<view class="button-min" @click="goPage('securityCheck')" style="margin:23rpx 20rpx 0 0;">
				<img class="button-img" :src="imagesUrl('home/icon_sy_aqjc@1x.png')">
				<view class="button-name">隐患整改</view>
			</view>
			<!-- <view class="button-min" @click="goPage()" style="margin:23rpx 65rpx 0;">
				<img class="button-img" :src="imagesUrl('home/icon_sy_hxp@1x.png')">
				<view class="button-name">化学品</view>
			</view>
			<view class="button-min" @click="goPage('cageSiteSubscribePupil')" style="margin:23rpx 20rpx 0 0;">
				<img class="button-img" :src="imagesUrl('home/icon_sy_lwgl@1x.png')">
				<view class="button-name">笼位预约</view>
			</view> -->
			<view class="button-min" @click="goPage('hazardousWasteRecyclingPupil')" style="margin:23rpx 0 0 20rpx;">
				<img class="button-img" :src="imagesUrl('home/icon_sy_hxp@1x.png')">
				<view class="button-name">危废回收</view>
			</view>
		</view>
		<view class="button-two-box">
			<view class="button-big-box" @click="goPage('facilityReservationPupil')" 
				style="background-color: #D6EBDA;margin-right:20rpx;">
				<img :src="imagesUrl('home/icon_sy_ssyy@1x.png')">
				<view class="button-min-box">
					<view>设施预约</view>
					<view>实验室资源预约</view>
				</view>
			</view>
			<view class="button-big-box" @click="goPage('cageSiteSubscribePupil')" 
			style="background-color: rgba(201,159,255,0.2);">
				<img :src="imagesUrl('home/home_button_03.png')">
				<view class="button-min-box">
					<view>笼位预约</view>
					<view>动物实验中心</view>
				</view>
			</view>
		</view>
		<view class="button-two-box">
			<view class="button-big-box" @click="goPage('snapshotPupil')"
				style="background-color: #DFF0FF;margin-right:20rpx;">
				<img :src="imagesUrl('home/icon_sy_ssp@1x.png')">
				<view class="button-min-box">
					<view>随手拍</view>
					<view>隐患上报</view>
				</view>
			</view>
			<view class="button-big-box" @click="goPage('violationRecordPupil')"
				style="background-color: #FFF0DD;">
				<img :src="imagesUrl('home/home_button_02.png')">
				<view class="button-min-box">
					<view>违规记录</view>
					<view>安全违规行为</view>
				</view>
			</view>
		</view>
		<view class="button-three-box">
			<view class="button-big-box button-big-box-1" @click="goPage('leaveCheckPupil')">
				<img :src="imagesUrl('home/img_lkjc@1_1x.png')">
				<view class="button-min-box">
					<view>离开检查</view>
					<view>拍照上传</view>
				</view>
			</view>
		</view>
		<!-- <view class="button-three-box">
			<view class="button-big-box" @click="goPage('violationRecordPupil')">
				<img :src="imagesUrl('home/img_wd_wgjl@1x.png')">
				<view class="button-min-box">
					<view>违规记录</view>
					<view>安全违规行为</view>
				</view>
			</view>
		</view> -->
		<img class="scan_btn" @click.stop="saoCode" :src="imagesUrl('commonality/icon_xyxc_sm.png')">
		<tab-bar></tab-bar>
	</view>
</template>

<script>
	import {
		chemicalAppletSelectStockInfo,
		laboratorySubPassOutIsotopeSubSign,
		systemUserGetPost,
		hwmsAppRegisterApprovalIsPermit,
	} from '@/pages/api/index.js'
	import {
		pageRestrictVerify
	} from '@/utils/index'
	import {
		tabBar
	} from '@/pages/component/tabBar.vue'
	import {
		navBar
	} from '@/pages/component/navbar.vue'
	export default {
		name: "pupilHome",
		components: {
			tabBar,
			navBar,
		},
		data() {
			return {
				pageType: 2,
				navHeight: uni.getStorageSync('navHeight'),
				title: '实验室安全智慧化管控系统',
				background: '#0183FA',
				rectangleLogo: uni.getStorageSync('rectangleLogo')
			}
		},
		created() {},
		mounted() {
		},
		methods: {
			goPage(type) {
				if (!type) {
					uni.showToast({
						title: '暂未开放',
						icon: "none",
						mask: true,
						duration: 2000
					});
					return
				}
				if (!pageRestrictVerify(type)) {
					uni.showToast({
						title: '没有相关权限,请联系管理员',
						icon: "none",
						mask: true,
						duration: 2000
					});
					return
				}
				if (type == 'securityExaminationPupil') {
					//安全考试
					uni.navigateTo({
						url: "/pages_basics/views/deviceCageSitePage?pageType=3",
					});
				} else if (type == 'securityAdmittancePupil') {
					//安全准入
					uni.navigateTo({
						url: "/pages_student/views/accessApplication/safeAccess",
					});
				}else if (type == 'hierarchicalControlPupil') {
					//分级管控
					uni.navigateTo({
						url: "/pages_basics/views/gradingControl/gradingControl",
					});
				} else if (type == 'securityCheck') {
					//安全检查
					uni.navigateTo({
						url: "/pages_safetyCheck/views/safetyCheck",
					});
				} else if (type == 'chemicalsPupil') {
					//化学品

				} else if (type == 'cageSiteSubscribePupil') {
					//笼位预约
					uni.navigateTo({
						url: "/pages_basics/views/deviceCageSitePage?pageType=2",
					});
				} else if (type == 'snapshotPupil') {
					//随手拍
					uni.navigateTo({
						url: "/pages_safetyCheck/views/snapshotManage/snapshotList",
					});
				} else if (type == 'leaveCheckPupil') {
					//离开检查
					uni.navigateTo({
						url: "/pages_basics/views/photoInspection",
					});
				} else if (type == 'violationRecordPupil') {
					//违规记录
					uni.navigateTo({
						url: "/pages_student/views/meViolation/meViolation",
					});
				} else if (type == 'facilityReservationPupil'){
					//设施预约
					uni.navigateTo({
						url: "/pages_basics/views/deviceCageSitePage?pageType=5",
					});
				}else if(type == 'hazardousWasteRecyclingPupil'){
					//危废回收
					this.systemUserGetPost();
				}
			},
			async systemUserGetPost(){
				const {
					data
				} = await systemUserGetPost();
				if (data.code == 200) {
					let num = 0;
					for(let i=0;i<data.data.length;i++){
						if(data.data[i].postCode == 'safe_fzr'){
							
						}else{
							if(data.data[i].isPost){
								num++
							}
						}
					}
					if(num>0){
						// 拥有身份
						uni.setStorageSync('hazardousWasteUserType',1)
						uni.navigateTo({
							url: "/pages_hazardousWasteRecycling/views/home/home",
						});
					}else{
						// 没有身份
						uni.setStorageSync('hazardousWasteUserType',0)
						this.hwmsAppRegisterApprovalIsPermit();
					}
				}
			},
			async hwmsAppRegisterApprovalIsPermit(){
				const {
					data
				} = await hwmsAppRegisterApprovalIsPermit();
				if (data.code == 200) {
					if(data.data == '0'){
						//没有权限-跳转权限申请
						uni.navigateTo({
							url: "/pages_hazardousWasteRecycling/views/permissionApply/index",
						});
					}else if(data.data == '1'){
						//有权限-正常进入
						uni.navigateTo({
							url: "/pages_hazardousWasteRecycling/views/home/home",
						});
					}else if(data.data == '2'){
						//没有权限-有申请-跳转申请列表
						uni.navigateTo({
							url: "/pages_hazardousWasteRecycling/views/permissionApply/listPage",
						});
					}
				}
			},
			/* 扫一扫*/
			saoCode() {
				let self = this;
				uni.scanCode({
					onlyFromCamera: true,
					success: function(res) {
						if(res.result.indexOf('type') != -1){
							//项目二维码
							let list = res.result.split("?")[1].split("&");
							let codeData = {};
							list.forEach((item) => {
								codeData[item.split("=")[0]] = item.split("=")[1];
							})
							if (codeData.type == 1 || codeData.type == 2 || codeData.type == 3 || codeData.type == 7 ||
								codeData.type == 8 || codeData.type == 10 ||
								codeData.type == 11 || codeData.type == 12 || codeData.type == 13 || codeData.type == 14) {
								uni.reLaunch({
									url: '/pages/views/saoCode/saoCode?q=' + encodeURIComponent(res.result)
								});
							}else if(codeData.type == 5){
								self.laboratorySubPassOutIsotopeSubSign(codeData.subId,res.result);
							}else if(codeData.type == 9){
								self.chemicalAppletSelectStockInfo(codeData.code);
							}
						}else{
							self.chemicalAppletSelectStockInfo(res.result);
						}
					}
				});
			},
			//扫码查询-化学品基本信息
			async chemicalAppletSelectStockInfo(code) {
				const {
					data
				} = await chemicalAppletSelectStockInfo({tagCode:code});
				if (data.code == 200) {
					if(data.data){
						data.data.code = code;
						//化学品信息
						uni.navigateTo({
							url: "/pages_basics/views/chemicalsInfo/chemicalsInfo?item=" + encodeURIComponent(JSON.stringify(data.data)),
						});
					}else{
						uni.showToast({
							mask: true,
							icon: "none",
							position: "center",
							title: '未找到相关信息,请扫描正确的二维码',
							duration: 2000
						});
					}
				}
			},
			//查询是否是同位素实验并且有签退
			async laboratorySubPassOutIsotopeSubSign(subId,result) {
				const {
					data
				} = await laboratorySubPassOutIsotopeSubSign({subId:subId});
				if (data.code == 200) {
					if(data.data.isotope){
						let obj = {
							subId:subId,
							subName:data.data.subName,
							passOutId:data.data.passOutId,
						}
						uni.navigateTo({
							url: "/pages_basics/views/photoInspection?item=" + encodeURIComponent(JSON.stringify(obj)),
						});
					}else{
						uni.reLaunch({
							url: '/pages/views/saoCode/saoCode?q=' + encodeURIComponent(result)
						});
					}
				}
			},
		}
	}
</script>

<style lang="stylus" scoped>
	@import '@/api/request/imagesUrl.styl';
	.pupilHome {
		height: 100%;
		flex: 1;
		display: flex;
		flex-direction: column;
		overflow-y: scroll;
		overflow-x: hidden;
		padding-bottom: 200rpx;

		.top-page-title {
			text-align: center;
			font-size: 28rpx;
			background-color: #0183FA;
			color: #fff;
		}

		.top-back-img {
			position: absolute;
			top: 0;
			left: 0;
			width: 750rpx;
			height: 539rpx;
			background: url($imagesUrl+'home/img_sy_bg@1x.png') no-repeat;
			background-size:100%;
			background-repeat: no-repeat;

			.position-img {
				z-index: 5;
				position: absolute;
				left: 0;
				top: 10rpx;
				width: 400rpx;
				height: 88rpx;
			}

			.position-data-button {
				z-index: 5;
				position: absolute;
				right: 0;
				top: 40rpx;
				width: 160rpx;
				height: 50rpx;
				line-height: 50rpx;
				background-color: #0183fa;
				color: #fff;
				font-size: 28rpx;
				text-align: center;
				border-top-left-radius: 30rpx;
				border-bottom-left-radius: 30rpx;
			}
		}

		.button-one-box {
			z-index: 5;
			background: #fff;
			width: 690rpx;
			border-radius: 20rpx;
			padding: 13px 0 20px;
			overflow: hidden;
			margin: 330rpx 30rpx 0;

			.button-min {
				display: inline-block;
				overflow: hidden;
				width: 172rpx;
				height: 123rpx;
				margin-top: 23rpx;

				.button-img {
					display: block;
					width: 80rpx;
					height: 80rpx;
					margin: 0 auto;
				}

				.button-name {
					margin-top: 15rpx;
					height: 28rpx;
					line-height: 28rpx;
					font-size: 28rpx;
					text-align: center;
					color: #333;
				}
			}
		}

		.button-two-box {
			z-index: 5;
			width: 690rpx;
			height: 120rpx;
			display: flex;
			margin: 20rpx 30rpx 0;

			.button-big-box {
				width: 335rpx;
				display: flex;
				border-radius: 20rpx;

				img {
					display: block;
					margin: 20rpx 25rpx 0 25rpx;
					height: 80rpx;
					width: 80rpx;
				}

				.button-min-box {
					view:nth-child(1) {
						line-height: 32rpx;
						height: 32rpx;
						font-size: 30rpx;
						color: #333;
						margin: 20rpx 0 18rpx;
					}

					view:nth-child(2) {
						line-height: 28rpx;
						height: 28rpx;
						font-size: 26rpx;
						color: #999;
					}
				}
			}
		}

		.button-three-box {
			z-index: 5;
			width: 690rpx;
			height: 150rpx;
			margin: 20rpx 30rpx 0;
			.button-big-box-1{
				background: #CDE7FF;
				.button-min-box{
					view:nth-child(1){
						color: #0183FA;
					}
					view:nth-child(2){
						color: #666666;
					}
				}
			}
			.button-big-box {
				height:130rpx;
				border-radius: 20rpx;
				display: flex;

				img {
					display: block;
					width: 134rpx;
					height: 104rpx;
					margin: 23rpx 34rpx 0 30rpx;
				}

				.button-min-box {
					view:nth-child(1) {
						line-height: 30rpx;
						height: 30rpx;
						font-size: 30rpx;
						margin: 30rpx 0 15rpx;
					}

					view:nth-child(2) {
						line-height: 26rpx;
						height: 26rpx;
						font-size: 26rpx;
					}
				}
			}
		}

		.scan_btn {
			z-index: 10;
			position: fixed;
			bottom: 210rpx;
			right: 0rpx;
			width: 140rpx;
			height: 140rpx;
		}
	}
</style>
